<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования дополнительного свойства информационных элементов
 * 
 * Файл: /admin/InformationSystems/action/form_edit_add_information_propertys_items.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
$information_system = & singleton('InformationSystem');

if (isset($_REQUEST['ext_is_groups_parent_id']))
{
	$ext_is_groups_parent_id = intval($_REQUEST['ext_is_groups_parent_id']);
}
else
{
	$ext_is_groups_parent_id = 0;
}

// Не возникало ошибок при добавлении/редактировании дополнительного свойства информационного элемента
if (!isset($error_information_propertys_items))
{

	// Редактирование дополнительного свойства информационного элемента
	if ($information_property_items_id != 0)
	{
		$row = $information_system->GetInformationSystemItemProperty($information_property_items_id);

		$information_propertys_items_name = $row["information_propertys_name"];
		$information_propertys_items_type = $row["information_propertys_type"];
		$information_propertys_items_order = $row["information_propertys_order"];
		$information_propertys_items_default_value = $row["information_propertys_define_value"];

		// Дата
		$information_propertys_items_date_default_value = $information_propertys_items_default_value;
		// Дата-время
		$information_propertys_items_datetime_default_value = $information_propertys_items_default_value;

		$information_propertys_items_define_checked_value = to_int($information_propertys_items_date_default_value);
		$information_propertys_items_xml_name = $row["information_propertys_xml_name"];
		$information_propertys_items_lists_id = $row['information_propertys_lists_id'];
		$information_propertys_items_information_system_id = $row['information_propertys_information_systems_id'];
		
		$information_propertys_items_dir_id = $row['information_propertys_items_dir_id'];
	}
	else // Добавление дополнительного свойства информационного элемента
	{
		$information_propertys_items_name = '';
		$information_propertys_items_type = 0;
		$information_propertys_items_order = 0;
		$information_propertys_items_default_value = '';

		// Дата
		$information_propertys_items_date_default_value = '';

		// Дата-время
		$information_propertys_items_datetime_default_value = '';

		$information_propertys_items_define_checked_value = 0;
		$information_propertys_items_xml_name = '';
		$information_propertys_items_lists_id = 0;
		$information_propertys_items_information_system_id = 0;
		
		$information_propertys_items_dir_id = $ext_is_groups_parent_id;
	}
}
else // Произошла ошибка при добавлении/редактировании дополнительного свойства информационного элемента
{
	$information_propertys_items_name = to_str($_POST["information_propertys_items_name"]);
	$information_propertys_items_type = to_str($_POST["information_propertys_items_type"]);
	$information_propertys_items_order = to_str($_POST["information_propertys_items_order"]);
	$information_propertys_items_default_value = to_str($_POST["information_propertys_items_default_value"]);

	// Дата
	$information_propertys_items_date_default_value =  to_str($_POST["information_propertys_items_date_default_value"]);

	// Дата-время
	$information_propertys_items_datetime_default_value =  to_str($_POST["information_propertys_items_datetime_default_value"]);

	if (isset($_POST['information_propertys_items_define_checked_value']))
	{
		$information_propertys_items_define_checked_value = 1;
	}
	else
	{
		$information_propertys_items_define_checked_value = 0;
	}

	$information_propertys_items_xml_name = to_str($_POST["information_propertys_items_xml_name"]);
	$information_propertys_lists_id = to_int($_POST['information_propertys_items_lists_id']);
	$information_propertys_items_information_system_id = to_int($_POST['information_propertys_items_information_system_id']);
}

$info_information_system = $information_system->GetInformationSystem($information_system_id);

$form_params = array();

$form_params['title'] = $information_property_items_id == 0
? $GLOBALS['MSG_information_systems']['information_propertys_add_form_title']
: $GLOBALS['MSG_information_systems']['information_propertys_edit_form_title'];

$form_params['title'] .= ' "' . $info_information_system['information_systems_name'] . '"';
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/InformationSystems/InformationSystems.php';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';
$form_params['form_attribs']['name'] = 'EditAddPropertyItems';

$admin_forms_fields = new admin_forms_fields();

// Формируем "хлебные крошки"
$new_path_array = array();

$new_path_array[] = array(
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', '', 11, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', '', 11, 'load_data'),
'name' => $GLOBALS['MSG_information_systems']['show_information_systems_title']);

$InformationSystem = & singleton('InformationSystem');

$path_array = $InformationSystem->GetInformationGroupsPathArray(0, $information_system_id);

if (count($path_array) > 0)
{
	// Меняем порядок следования элементов в массиве на обратный
	$path_array = array_reverse($path_array, true);

	// Преобразуем идентификаторы групп в ссылки на группы.
	if ($path_array)
	{
		foreach ($path_array as $key => $value)
		{
			$new_path_array[] = array (
			'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_groups_parent_id={$key}&information_system_id={$information_system_id}", 12, 'load_data'),
			'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_groups_parent_id={$key}&information_system_id={$information_system_id}", 12, 'load_data'),
			'name' => $value['information_groups_name']);
		}
	}
}

$new_path_array[] = array (
'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_system_id={$information_system_id}", 50, 'load_data'),
'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_system_id={$information_system_id}", 50, 'load_data'),
'name' => sprintf($GLOBALS['MSG_information_systems']['show_information_propertys_title'], $info_information_system['information_systems_name']));

$InformationSystem = new InformationSystem();

// Дополнительные хлебные крошки для хождения по группам дополнительных свойств информационных групп
$path_array = $InformationSystem->GetAdditionalPropertyPathArray($ext_is_groups_parent_id);

if (count($path_array) > 0)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_system_id=$information_system_id&ext_is_groups_parent_id=$key", 50, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/InformationSystems/InformationSystems.php', "&information_system_id=$information_system_id&ext_is_groups_parent_id=$key", 50, 'load_data'),
		'name' => $value);
	}
}

// Передаем в массив для констурктора "хлебные крошки"
$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_information_systems']['additional_propertys_information_items_form_tab_1']);

// Название дополнительного свойства информационного элемента.
$param = array();

$param['tab_id'] = $tab_id;
$param['name'] = 'information_propertys_items_name';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $information_propertys_items_name;
$param['attributes'] = array();
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Формируем массив типов дополнительных свойств информационного элемента
$mas = array(0 => $GLOBALS['MSG_information_systems']['information_propertys_add_form_type_name1'],
1 => $GLOBALS['MSG_information_systems']['information_propertys_add_form_type_name2'],
2 => $GLOBALS['MSG_information_systems']['information_propertys_add_form_type_name3'],
4 => $GLOBALS['MSG_information_systems']['information_big_text'],
5 => $GLOBALS['MSG_information_systems']['information_system'],
6 => $GLOBALS['MSG_information_systems']['information_visual_edit'],
7 => $GLOBALS['MSG_information_systems']['information_checkbox'],
8 => $GLOBALS['MSG_information_systems']['information_date'],
9 => $GLOBALS['MSG_information_systems']['information_date_time']);

if (class_exists('lists'))
{
	$mas[3] = $GLOBALS['MSG_information_systems']['information_propertys_add_form_type_name4'];
}

// Список типов дополнительных свойств
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'information_propertys_items_type';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_type'];
$param['type'] = 2; // Выпадающий список.
$param['attributes']['onchange'] = 'javascript:ShowRowsItemPropertys(this.value)';
$param['value'] = $information_propertys_items_type;

$items = array();

foreach ($mas as $key => $value)
{
	if ($key != 2 && $key != 3 && $key != 5  && $key != 7 && $key != 8 && $key != 9)
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка			
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : '' . 'information_system_id,default_value_id,default_checked_value_id,default_date_value_id,default_datetime_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = '';
	}
	elseif ($key == 2) // Файл
	{				
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : ''  . 'information_system_id,default_value_id,default_checked_value_id,default_date_value_id,default_datetime_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = '';
	}
	elseif ($key == 3) // Список
	{
		$param['hide_divs'][$key] = 'default_value_id,information_system_id,default_value_id, default_date_value_id,default_datetime_value_id';

		
		if (class_exists('lists'))
		{						
			$param['show_divs'][$key] = 'list_id';
		}
		else 
		{
			$param['show_divs'][$key] = '';
		}
		
		
	}
	elseif ($key == 5) // Информационная система
	{				
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : '' .  'default_value_id,default_checked_value_id,default_date_value_id,default_datetime_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'information_system_id';
	}
	elseif ($key == 7) // Флажок
	{		
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : '' . 'default_value_id,information_system_id,default_date_value_id,default_datetime_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'default_checked_value_id';
	}
	elseif ($key == 8) // Дата
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : '' . 'default_value_id,information_system_id, default_checked_value_id, default_datetime_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'default_date_value_id';
	}
	elseif ($key == 9)// Время
	{
		// Список слоев, которые необходимо скрыть при показе данного элемента списка
		$param['hide_divs'][$key] = class_exists('lists') ? 'list_id,' : '' . 'default_value_id,information_system_id, default_checked_value_id, default_date_value_id';

		// Список слоев, которые необходимо отобразить при показе данного элемента списка
		$param['show_divs'][$key] = 'default_datetime_value_id';
	}

	$items[$key] = $value;
}

$param['items'] = $items;

$admin_forms_fields->AddField($param);

// Список информационных систем
$param = array();

$param['tab_id'] = $tab_id;
$param['div_id'] = 'information_system_id';
$param['name'] = 'information_propertys_items_information_system_id';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_inf_system'];
$param['type'] = 2; // Выпадающий список.
$param['value'] = $information_propertys_items_information_system_id;

$items = array();

$result_information_systems = $information_system->GetAllInformationSystems(CURRENT_SITE);

$count_information_systems = mysql_num_rows($result_information_systems);

for ($i = 0; $i < $count_information_systems; $i++)
{
	$row_information_systems = mysql_fetch_assoc($result_information_systems);
	$items[$row_information_systems['information_systems_id']] = $row_information_systems['information_systems_name'];
}

$param['items'] = $items;

$admin_forms_fields->AddField($param);

// Порядковый номер дополнительного свойства
$param = array();

$param['tab_id'] = $tab_id;
$param['name'] = 'information_propertys_items_order';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_order'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $information_propertys_items_order;
$param['attributes'] = array();
$param['attributes']['size'] = 10;

$admin_forms_fields->AddField($param);

// Флажок
$param = array();

$param['tab_id'] = $tab_id;
$param['div_id'] = 'default_checked_value_id';
$param['type'] = 1;
$param['name'] = 'information_propertys_items_define_checked_value';
$param['html_id'] = 'id_define_checked_value';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_groups_add_form_default_checked'];
$param['lable'] = $GLOBALS['MSG_information_systems']['yes'];
$param['value'] = $information_propertys_items_define_checked_value;

$admin_forms_fields->AddField($param);

// Значение по умолчанию
$param = array();

$param['tab_id'] = $tab_id;
$param['div_id'] = 'default_value_id';
$param['name'] = 'information_propertys_items_default_value';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_add_form_items_default_value'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $information_propertys_items_default_value;

$admin_forms_fields->AddField($param);

// Значение по умолчанию для поля типа "Дата"
$param = array();

$param['tab_id'] = $tab_id;
$param['div_id'] = 'default_date_value_id';
$param['name'] = 'information_propertys_items_date_default_value';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_add_form_items_default_value'];
$param['type'] = 10; // Поле ввода.
$param['value'] = $information_propertys_items_date_default_value;
$param['attributes'] = array();
$param['attributes']['size'] = 10;

$admin_forms_fields->AddField($param);

// Значение по умолчанию для поля типа "Дата-время"
$param = array();

$param['tab_id'] = $tab_id;
$param['div_id'] = 'default_datetime_value_id';
$param['name'] = 'information_propertys_items_datetime_default_value';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_add_form_items_default_value'];
$param['type'] = 11; // Поле ввода.
$param['value'] = $information_propertys_items_datetime_default_value;
$param['attributes'] = array();
$param['attributes']['size'] = 22;

$admin_forms_fields->AddField($param);


$dir_res = $InformationSystem->GetDelimitedGroupsExtProperty(0, $information_system_id, '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;');

$array = array(0 => ' ... ');

$mas_count = count($dir_res);

for ($i = 0; $i < $mas_count; $i++)
{
	$array[$dir_res[$i]['information_propertys_items_dir_id']] = $dir_res[$i]['separator'].$dir_res[$i]['information_propertys_items_dir_name'];
}


// Родительский каталог дополнительного свойства
$param = array();

$param['tab_id'] = $tab_id;
$param['name'] = 'information_propertys_items_dir_id';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_dir_id'];
$param['type'] = 2; // Выпадающий список.
$param['items'] = $array;
$param['value'] = $information_propertys_items_dir_id;


$admin_forms_fields->AddField($param);

// Формируем список доступных списков

// Проверяем существование модуля Списки
// Модуль Списки существует
if (class_exists('lists'))
{
	$param = array();

	$param['tab_id'] = $tab_id;
	$param['div_id'] = 'list_id';
	$param['name'] = 'information_propertys_items_lists_id';
	$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_lists'];
	$param['type'] = 2; // Выпадающий список.
	$param['value'] = $information_propertys_items_lists_id;

	$items = array();

	$lists = & singleton('lists');

	// Получаем информацию о всех доступных списках
	$result_list = $lists->GetAllListsForSite(CURRENT_SITE);

	$count_lists =mysql_num_rows($result_list);

	// Для первого элемента - нулевое значение
		
	for ($i = 0; $i < $count_lists; $i++)
	{
		$row_list = mysql_fetch_assoc($result_list);
		$items[$row_list['lists_id']] = $row_list['lists_name'];
	}

	$param['items'] = $items;

	$admin_forms_fields->AddField($param);
}

// Имя XML-тэга
$param = array();

$param['tab_id'] = $tab_id;
$param['name'] = 'information_propertys_items_xml_name';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_propertys_items_add_form_xml_name'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $information_propertys_items_xml_name;
$param['format']['lib']['value'] = 'latinBase';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['type'] = 4; // Поле ввода.
$param['value'] = 'show_information_propertys_items';

$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'information_system_id';
$param['type'] = 4; // Поле ввода.
$param['value'] = $information_system_id;

$admin_forms_fields->AddField($param);

// Редактирование дополнительного свойства информационного элемента
if ($information_property_items_id != 0)
{
	// Идентификатор дополнительного свойства информационного элемента
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'information_property_items_id';
	$param['type'] = 4; // Поле ввода.
	$param['value'] = $information_property_items_id;

	$admin_forms_fields->AddField($param);
}

// Кнопка "Сохранить".
$param = array();
$param['name'] = 'save_information_items_property';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_items_save_form_button_name'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = 'add_information_items_property';
$param['caption'] = $GLOBALS['MSG_information_systems']['information_items_add_form_button_name'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

$external_html = "
<script>
function ShowRowsItemPropertys(index)
		{
		
			index = index*1;
			".
			(class_exists('lists') ? "document.getElementById(\"list_id\").style.display =\"\" ;" : '')			
			."
			document.getElementById(\"default_value_id\").style.display = \"\" ;
			document.getElementById(\"default_date_value_id\").style.display = \"\" ;
			document.getElementById(\"default_datetime_value_id\").style.display = \"\" ;
			document.getElementById(\"information_system_id\").style.display = \"\" ;
			document.getElementById(\"default_checked_value_id\").style.display = \"\" ;
					
			switch (index)
			{
				case 0: // Число
				{
					".
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')				
					."
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					break;
				}
								
				case 1: // Строка
				{
				  	".
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')							
					."
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					
					break;
				}
				
				case 2: // Файл
				{
					" .
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					break;
				}
				
				case 3: // Список
				{
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					break;
				}
				
				case 4: // Большое текстовое поле
				{
				" . 					
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					break;
				}
				
				case 5: // Информационная система
				{
				" .
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
				. "	
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					break;
				}
				
				case 6: // Визуальный редактор
				{
					" . 
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					
					break;
				}
				
				case 7: // Флажок
				{
					" . 
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					
					break;
				}
				
				case 8: // Дата
				{
					" .
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "	
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"default_datetime_value_id\").style.display = \"none\" ;
					
					break;
				}
				
				case 9: // Дата-время
				{
					" .
					(class_exists('lists') ? "document.getElementById(\"list_id\").style.display = \"none\";" : '')						
					. "
					document.getElementById(\"information_system_id\").style.display = \"none\" ;
					document.getElementById(\"default_checked_value_id\").style.display = \"none\" ;
					document.getElementById(\"default_value_id\").style.display = \"none\";
					document.getElementById(\"default_date_value_id\").style.display = \"none\" ;
	
					break;
				}
				
			}
		}
		ShowRowsItemPropertys($information_propertys_items_type)
		</script>";

$admin_forms_fields->SetExternalHtml($external_html);
// Отображение формы.
$admin_forms_fields->ShowForm();

?>
 